<div id="full" >
    <mat-icon (click)="exitfullscreen()" style="background-color: white ;float: right;">close</mat-icon>
</div> 
<mat-card >
   
    <mat-card-title>
        <div style="float: right;margin-top: 15px;">

            <a href="/assets/keyboard-shortcuts-windows.pdf">Documentazione scaricabile <img src="/assets/pdf.svg"
                    href="#" width="5%"></a>
        </div>
        <h2>Condominio <br>
            Empoli Via Pisa n°58, Firenze</h2>
    </mat-card-title>

    <div class="row">
        <div class="column">
            <img src="/assets/google maps.PNG" alt="..." style="width:100%">
        </div>
        <div class="column">

            <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
                integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p"
                crossorigin="anonymous" />

            <div *ngIf="images && images.length > 0" class="carousel-container">

                <div *ngFor="let image of images; let i=index" class="image-container">

                    <img  [src]="image.imageSrc" [alt]="image.imageAlt" 
                        (click)="fullscreen(image)" [ngClass]="{'image-active': selectIndex === i }">

                        
                        
                </div>

                <div *ngIf="indicators" class="carousel-dot-container">
                    <span *ngFor="let dot of images; let i=index" class="dot" [ngClass]="{'active': selectIndex === i}"
                        (click)="selectImage(i)">
                    </span>

                </div>

                <button *ngIf="controls" class="btn-carousel btn-prev">
                    <i class="fas fa-arrow-circle-left icon-carousel icon-prev" (click)="onPrevClick()"></i>
                </button>
                <button *ngIf="controls" class="btn-carousel btn-next">
                    <i class="fas fa-arrow-circle-right icon-carousel icon-next" (click)="onNextClick()"></i>
                </button>
                
            </div>

            
                        
            <!-------
            <img src="/assets/duomo.jpg" alt="..." style="width:100%; height: 100%;">---->
        </div>
        

        

    </div>

    <div>
        <br>
        <h4>Responsabile :</h4>
        <h4>Installatore :</h4>
        <h4>Cliente :</h4>
        <br>
    </div>

    <mat-card-content>
        <div>
            <table mat-table [dataSource]="dataSource" matSort>

                <ng-container matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>ID</th>
                    <td mat-cell *matCellDef="let row">{{row.id}}</td>
                </ng-container>

                <ng-container matColumnDef="token">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>TOKEN</th>
                    <td mat-cell *matCellDef="let row">{{row.token}}</td>
                </ng-container>

                <ng-container matColumnDef="date">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>DATE</th>
                    <td mat-cell *matCellDef="let row">{{row.date}}</td>
                </ng-container>
                <ng-container matColumnDef="status">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>STATUS</th>
                    <td mat-cell *matCellDef="let row">{{row.status}}</td>
                </ng-container>
                <ng-container matColumnDef="warning">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>WARNING</th>
                    <td mat-cell *matCellDef="let row">
                        <img src={{row.warning}} width="20" routerLinkActive="list-item-active"
                            routerLink="/default/dashboard">
                    </td>
                    <!----<td mat-cell *matCellDef="let row"><mat-icon >{{row.warning}}</mat-icon></td>  /assets/lowbattery.png----->

                </ng-container>

                <ng-container matColumnDef="dati">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>DATI</th>
                    <td mat-cell *matCellDef="let row"><img src={{row.dati}} alt="" width="20"
                            routerLinkActive="list-item-active" routerLink="/default/dashboard">

                    </td>
                </ng-container>


                <tr mat-header-row *matHeaderRowDef="columns"></tr>
                <tr mat-row *matRowDef="let row; columns: columns;"></tr>

            </table>

            <mat-paginator [length]="posts.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
                aria-label="Select page">
            </mat-paginator>
            <br>
            <br>
        </div>



    </mat-card-content>
</mat-card>
